Feature #16218

checks Ruby version and errors out if Ruby > 2.3

Added by Peter Amstutz 3 months ago. Updated 2 months ago.

Status:
Resolved
Priority:
Normal
Assigned To:
Category:
SSO
Target version:
Start date:
03/12/2020
Due date:
% Done:

100%

Estimated time:
(Total: 0.00 h)
Story points:
-
Release relationship:
Auto

Subtasks

Task #16236: Review 16218-check-ruby-verResolvedPeter Amstutz

Associated revisions

Revision 5c179dca
Added by Peter Amstutz 3 months ago

Merge branch '16218-check-ruby-ver' refs #16218

Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <>

History

#1 Updated by Peter Amstutz 3 months ago

  • Subject changed from detects Ruby version and errors out if Ruby > 2.3 to checks Ruby version and errors out if Ruby > 2.3

#2 Updated by Peter Amstutz 3 months ago

  • Assigned To set to Peter Amstutz

#3 Updated by Peter Amstutz 3 months ago

16218-check-ruby-ver @ 4bb1d851c7e2ebad0de45e50437f5a985a7ce407

#4 Updated by Lucas Di Pentima 3 months ago

  • Tested on arvbox: Works OK.
  • Tested attempting to start the rails console with ruby >=2.4: Failed as expected.

LGTM, thanks!

#5 Updated by Peter Amstutz 3 months ago

  • Status changed from New to In Progress

#6 Updated by Peter Amstutz 3 months ago

  • Status changed from In Progress to Resolved

#7 Updated by Peter Amstutz 2 months ago

  • Release set to 30

Also available in: Atom PDF